/* eslint-disable */

import React from 'react';
import { getIconColor } from './helper';

const DEFAULT_STYLE = {
  display: 'block',
};

const IconMadanguanli = ({ size, color, style: _style, ...rest }) => {
  const style = _style ? { ...DEFAULT_STYLE, ..._style } : DEFAULT_STYLE;

  return (
    <svg viewBox="0 0 1024 1024" width={size + 'rem'} height={size + 'rem'} style={style} {...rest}>
      <path
        d="M128 128m32 0l288 0q32 0 32 32l0 288q0 32-32 32l-288 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 0, '#4581FF')}
      />
      <path
        d="M544 128m32 0l288 0q32 0 32 32l0 288q0 32-32 32l-288 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 1, '#4581FF')}
      />
      <path
        d="M128 544m32 0l288 0q32 0 32 32l0 288q0 32-32 32l-288 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 2, '#4581FF')}
      />
      <path
        d="M544 544m32 0l80 0q32 0 32 32l0 288q0 32-32 32l-80 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 3, '#4581FF')}
        opacity=".6"
      />
      <path
        d="M752 544m32 0l80 0q32 0 32 32l0 288q0 32-32 32l-80 0q-32 0-32-32l0-288q0-32 32-32Z"
        fill={getIconColor(color, 4, '#4581FF')}
        opacity=".6"
      />
    </svg>
  );
};

IconMadanguanli.defaultProps = {
  size: 18,
};

export default IconMadanguanli;
