import { View } from '@tarojs/components'
import React, { useCallback, memo, useEffect, useMemo, useRef, useState } from 'react'
import Search from '@/components/search'
import styles from "./index.module.scss"
import classnames from "classnames";
import Empty from './compoents/empty'
import Taro from '@tarojs/taro';
import Goods from './compoents/goods'
import { mpproductlist } from "@/api/search"

export default memo(() => {
    //获取数据
    const [histroyList, setHistroyList] = useState<any[]>(['a','b'])
    //搜索商品的数组
    const [searchList, setSearchList] = useState<any[]>(['a'])
    //是否有值输入框
    const [hasFonts, setHasFonts] = useState(false)

    //输入了搜索关键字
    const getSearchData = useCallback((e) => {
        if (e) {
            setHasFonts(true)
            getProduct(e)
        } else {
            setHasFonts(false)
            setSearchList([])
        }
        // pageNum.current.page = 1
        // setOrderData(() => ({ list: [], total: 0 }))
        // setSearchField((val) => ({ ...val, name: e, size: 10 }))
    }, [])
    //搜索获取商品数据
    const { fetchData: productFetch } = mpproductlist()
    const getProduct = async (e) => {
        const res = await productFetch({ code_or_name: e })
        // res.data.list.map(item=>{
        //     if(item.texture_url !==''){

        //     }
        // })
        setSearchList([...res.data.list])
    }
    //返回
    const back = () => {
        Taro.navigateBack({
            delta: 1
        })
    }

    return (
        <View className={styles.main}>
            <Search placeholder='请输入搜索布料' showBtn={false} changeOnSearch={getSearchData} debounceTime={300} >
                <View className={styles.cancelFont} onClick={() => back()}>取消</View>
            </Search>
            <View className={styles.line}></View>
            {
                !hasFonts && <>
                    <View className={styles.topBox}>
                        <View className={styles.histroyFonts}>历史搜索</View>
                        <View className={classnames('iconfont', 'icon-shaixuan', styles.icon_delect)}></View>
                    </View>
                    {!!histroyList.length &&
                        <View className={styles.bigBox}>
                            {histroyList.map((item, index) => {
                                return (
                                    <View key={index} className={styles.itemBox}>{item}</View>
                                )
                            })}
                        </View>
                    }
                    {
                        !histroyList.length && <Empty fonst={'无搜索历史'}></Empty>
                    }
                </>
            }
            {
                hasFonts && <>
                    <View className={styles.topBox}>
                        <View className={styles.histroyFonts}>搜索结果</View>
                    </View>
                    {
                        !!searchList.length && searchList.map((item, index) => {
                            return (
                                <Goods key={index} data={item}></Goods>
                            )
                        })
                    }
                    {
                        !searchList.length && <Empty fonst={'暂无数据'}></Empty>
                    }
                </>
            }


        </View>

    )
})